Package ru.bitel.bgbilling.plugins.documents.common.bean

# Class Document

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.plugins.documents.common.bean.Document

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class Document extends IdTitle
Класс-модель документа в плагине Documents. Документ привязывается к определенному договору и может содержать произвольное число файлов. Документ может быть сгенерирован по шаблону.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Document.Builder`

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Document()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Document.Builder`
  `builder()`
  `static Document.Builder`
  `builder(Document document)`
  `String`
  `getComment()`
  Получение комментария документа.
  `int`
  `getContractId()`
  Получение кода договора, к которому привязывается документ.
  `Date`
  `getCreateDate()`
  Получение даты создания документа.
  `String`
  `getFileSecret()`
  `int`
  `getJournalId()`
  Получение кода журнала.
  `Date`
  `getLastModifyDate()`
  Получение даты последней модификации документа.
  `int`
  `getPatternId()`
  Получение кода шаблона, по которому был сгенерирован документ.
  `int`
  `getStatusId()`
  Получение статуса документа.
  `int`
  `getTypeId()`
  Получение типа документа.
  `int`
  `getUserId()`
  Получение кода пользователя, который создал документ.
  `boolean`
  `isShowInLK()`
  `void`
  `setComment(String comment)`
  Установка комментария документа.
  `void`
  `setContractId(int contractId)`
  Установка кода договора, к которому привязывается документ.
  `void`
  `setCreateDate(Date createDate)`
  Установка даты создания документа.
  `void`
  `setFileSecret(String fileSecret)`
  `void`
  `setJournalId(int journal)`
  Установка кода журнала.
  `void`
  `setLastModifyDate(Date lastModifyDate)`
  Установка даты последней модификации документа.
  `void`
  `setPatternId(int patternId)`
  Установка кода шаблона, по которому был сгенерирован документ.
  `void`
  `setShowInLK(boolean showInLK)`
  `void`
  `setStatusId(int status)`
  Установка статуса документа.
  `void`
  `setTypeId(int type)`
  Установка типа документа.
  `void`
  `setUserId(int user)`
  Установка кода пользователя.

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### Document

    public Document()

- ## Method Details

  - ### setContractId

    public void setContractId(int contractId)
    Установка кода договора, к которому привязывается документ.
    Parameters:
      `contractId` - код документа.

  - ### getContractId

    public int getContractId()
    Получение кода договора, к которому привязывается документ.
    Returns:
      код документа.

  - ### getComment

    public String getComment()
    Получение комментария документа.
    Returns:
      комментарий документа

  - ### setComment

    public void setComment(String comment)
    Установка комментария документа.
    Parameters:
      `comment` - комментарий документа.

  - ### getCreateDate

    public Date getCreateDate()
    Получение даты создания документа.
    Returns:
      дата создания документа.
    Since:
      6.2

  - ### setCreateDate

    public void setCreateDate(Date createDate)
    Установка даты создания документа.
    Parameters:
      `createDate` - дата создания документа.
    Since:
      6.2

  - ### getLastModifyDate

    public Date getLastModifyDate()
    Получение даты последней модификации документа.
    Returns:
      дата последней модификации документа.

  - ### setLastModifyDate

    public void setLastModifyDate(Date lastModifyDate)
    Установка даты последней модификации документа.
    Parameters:
      `lastModifyDate` - дата последней модификации документа.

  - ### getTypeId

    public int getTypeId()
    Получение типа документа.
    Returns:
      тип документа.

  - ### setTypeId

    public void setTypeId(int type)
    Установка типа документа.
    Parameters:
      `type` - тип документа.

  - ### getStatusId

    public int getStatusId()
    Получение статуса документа.
    Returns:
      статус документа.

  - ### setStatusId

    public void setStatusId(int status)
    Установка статуса документа.
    Parameters:
      `status` - статус документа.

  - ### getUserId

    public int getUserId()
    Получение кода пользователя, который создал документ. В случае, если документ был сгенерирован по шаблону, то вернется код пользователя,определенный константой `User.USER_SERVER`.
    Returns:
      код пользователя.

  - ### setUserId

    public void setUserId(int user)
    Установка кода пользователя. В случае, если документ был сгенерирован по шаблону, то в качестве кода пользователя устанавливается константа `User.USER_SERVER`.
    Parameters:
      `user` -

  - ### getJournalId

    public int getJournalId()
    Получение кода журнала.
    Returns:
      код журнала.

  - ### setJournalId

    public void setJournalId(int journal)
    Установка кода журнала.
    Parameters:
      `journal` - код журнала.

  - ### getPatternId

    public int getPatternId()
    Получение кода шаблона, по которому был сгенерирован документ. Если документ был создан вручную, что данное поле имеет значение -1.
    Returns:
      код шаблона.

  - ### setPatternId

    public void setPatternId(int patternId)
    Установка кода шаблона, по которому был сгенерирован документ. Код шаблона устанавливается в момент генерации документа по шаблону, иначе - код шаблона -1.
    Parameters:
      `patternId` - код шаблона

  - ### getFileSecret

    public String getFileSecret()

  - ### setFileSecret

    public void setFileSecret(String fileSecret)

  - ### isShowInLK

    public boolean isShowInLK()

  - ### setShowInLK

    public void setShowInLK(boolean showInLK)

  - ### builder

    public static Document.Builder builder()

  - ### builder

    public static Document.Builder builder(Document document)